#### Things to consider

1.  Please check that you are using the latest scapy version, e.g. installed via:

    `pip install --upgrade git+git://github.com/secdev/scapy`

2.  If you are here to ask a question - please check previous issues and online resources, and consider using gitter instead: <https://gitter.im/secdev/scapy>

3.  Please understand that **this is not a forum** but an issue tracker. The following article explains why you should limit questions asked on Github issues: <https://medium.com/@methane/why-you-must-not-ask-questions-on-github-issues-51d741d83fde>

#### Brief description

> describe the main issue in one sentence
> if possible, describe what components / protocols could be affected by the issue (e.g. wrpcap() + IPv6, it is likely this also affects XXX)

#### Environment

-   Scapy version: `scapy version and/or commit-hash`
-   Python version: `e.g. 3.5`
-   Operating System: `e.g. Minix 3.4`

> if needed - further information to get a picture of your setup (e.g. a sketch of your network setup)

#### How to reproduce

> step-by-step explanation or a short script, may reference section 'Related resources'

#### Actual result

> dump results that outline the issue, please format your code

#### Expected result

> describe the expected result and outline the difference to the actual one, could also be a screen shot (e.g. wireshark)

#### Related resources

> traces / sample pcaps (stripped to the relevant frames), related standards, RFCs or other resources
